Bug 484643 - ibus working with screen lock dialog, but not showing icon properly
ibus working with screen lock dialog, but not showing icon properly
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
16
All Linux
low Severity medium
: ---
: ---
Assigned To: Daiki Ueno
Fedora Extras Quality Assurance
: i18n, MoveUpstream, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 02:41 EST by A S Alam
Modified: 2013-07-02 20:50 EDT (History)
10 users (show)

See Also:
Fixed In Version: ibus-1.4.0-11.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-28 19:08:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for gnome-screensaver gs-lock-plug.c (3.95 KB, patch)
2010-05-19 02:40 EDT, fujiwara
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 619058 None None None Never

  None (edit)
Description A S Alam 2009-02-09 02:41:10 EST
Description of problem:
while using ibus, I locked the screen and tried to log-back (in a session).  
it was not allowing to log back to session as ibus enabled during lock-login screen, but there was no icon with it

Version-Release number of selected component (if applicable):
ibus-0.1.1.20081023-3.fc11

How reproducible:
Evertime

Steps to Reproduce:
1. eable ibus in session
2. lock the session
3. press Ctrl+Space (2-3 time)
  
Actual results:
lock screen takes input in local session, while not showing any sign to input method (enabled)

Expected results:
Either lock screen should not allow to get input from ibus or ibus should not work with lock screen.

Additional info:h
Comment 1 Peng Huang 2009-02-11 03:18:58 EST
I think it is better to disable immodule for password field in gtk2.
Comment 2 Matthias Clasen 2009-02-11 10:13:25 EST
We just changed this back to allowing input methods to work with invisible entries. It's not going to change back. If ibus can be fixed to work in the lock screen situation, turn off the im just for the one password entry in the lock dialog.

See http://library.gnome.org/devel/gtk/2.15/GtkEntry.html#GtkEntry--im-module
for how to do that.
Comment 3 Peng Huang 2009-02-16 21:17:44 EST
I guess if we want to fix this problem, gnome-screen-saver needs some modification.
Comment 4 A S Alam 2009-05-27 01:55:47 EDT
Problem exist with following package:
gnome-screensaver-2.26.1-2.fc11
Comment 5 Bug Zapper 2009-06-09 07:10:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-04-27 08:53:46 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 fujiwara 2010-05-19 02:40:01 EDT
Created attachment 415030 [details]
Patch for gnome-screensaver gs-lock-plug.c

Input method should be disabled in password entry due to security issue of preedit text.
Actually I have fixed seahouse and gnome-keyring too.
I'll work on upstream.
Comment 9 Bug Zapper 2010-07-30 06:35:57 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Admin XMLRPC Client 2011-06-21 11:58:25 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 A S Alam 2011-08-18 05:50:07 EDT
closing bug to track bug in upstream. (comment #9)

exist with following packages in Fedora 16:
gtk3-3.1.12-1.fc16.x86_64
gnome-screensaver-3.0.0-2.fc16.x86_64
Comment 12 Daiki Ueno 2011-08-19 10:21:33 EDT
maybe we could do something in ibus side by inspecting the client widget using gdk_window_get_user_data, like:

https://github.com/ibus/ibus/blob/master/client/gtk2/ibusimcontext.c#L959

reopening.
Comment 13 Akira TAGOH 2011-11-21 03:03:52 EST
Any updates on this?
Comment 14 Daiki Ueno 2011-11-21 03:14:23 EST
ibus-1.4.0-11 includes the upstream patch for this issue:
https://github.com/ibus/ibus/commit/cca4fd89
Comment 15 Fedora Update System 2011-11-27 20:39:03 EST
ibus-1.4.0-11.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/FEDORA-2011-16126/ibus-1.4.0-11.fc15
Comment 16 Fedora Update System 2011-11-27 20:40:53 EST
ibus-1.4.0-11.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2011-16111/ibus-1.4.0-11.fc16
Comment 17 Fedora Update System 2011-11-28 04:09:26 EST
ibus-1.4.0-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-1.4.0-13.fc16
Comment 18 Fedora Update System 2011-11-28 19:08:47 EST
ibus-1.4.0-11.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2011-12-02 16:32:45 EST
ibus-1.4.0-11.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.